import OrgChart from "@/pages/OrgChart";
import origin from "@/static/orgin.png";
import origin2 from "@/static/orgin2.png";
import { Modal } from "antd";
import { useState } from "react";
const Orgin = () => {
  const [isModalOpen, setIsModalOpen] = useState<boolean>(false);
  const showModal = () => {
    setIsModalOpen(true);
  };
  const handleCancel = () => {
    setIsModalOpen(false);
  };
  return (
    <>
      <div className="orgin-content" onClick={showModal}>
        <div className="po">
          <span>234</span>
          <img src={origin} alt="" />
          <p>党组织数量</p>
        </div>
        <div className="po">
          <span>238</span>
          <img src={origin2} alt="" />
          <p>党员数量</p>
        </div>
      </div>
      <Modal
        title={"组织架构"}
        className="owner_model"
        width={"80%"}
        open={isModalOpen}
        onCancel={handleCancel}
        footer={null}
      >
       <OrgChart />
      </Modal>
    </>
  );
};

export default Orgin;
